import influxframework
from influxframework.desk.doctype.notification_settings.notification_settings import (
	create_notification_settings,
)


def execute():
	influxframework.reload_doc("desk", "doctype", "notification_settings")
	influxframework.reload_doc("desk", "doctype", "notification_subscribed_document")

	users = influxframework.get_all("User", fields=["name"])
	for user in users:
		create_notification_settings(user.name)
